## global 3.55

=== Makefile ===
SUBDIR= libdb libutil global gtags gctags btreeop htags

.include <bsd.subdir.mk>

=== gctags/Makefile ===
PROG=	gctags
SRCS=	C.c Cpp.c assembler.c gctags.c java.c

.include <bsd.prog.mk>

=== libdb/Makefile ===
LIB=	glodb
SRCS=	bt_close.c bt_conv.c bt_debug.c bt_delete.c bt_get.c \
	bt_open.c bt_overflow.c bt_page.c bt_put.c bt_search.c \
	bt_seq.c bt_split.c bt_utils.c mpool.c db.c

NOPROFILE=              noprofile
INTERNALLIB=            true
INTERNALSTATICLIB=      true

.include <bsd.lib.mk>

=== libregex/Makefile ===
LIB=		gloregex
SRCS=		regcomp.c regerror.c regexec.c regfree.c

NOPROFILE=		noprofile
INTERNALLIB=		true
INTERNALSTATICLIB=	true

.include <bsd.lib.mk>

=== libutil/Makefile ===
LIB=		gloutil
SRCS=		gtagsop.c tab.c strbuf.c mgets.c defined.c getdbpath.c \
		find.c dbop.c test.c makepath.c locatestring.c pathop.c \
		conf.c strmake.c usable.c token.c path.c
NOPROFILE=		noprofile
INTERNALLIB=		true
INTERNALSTATICLIB=	true

.include <bsd.lib.mk>

## global 6.5.6

=== debian/changelog ===
global (6.5.6-2+deb9u1) stretch; urgency=medium

  * Backport fix for CVE-2017-17531 from 6.6.1 (Closes: #884912)

 -- Punit Agrawal <punit@debian.org>  Wed, 03 Jan 2018 21:41:34 +0000

global (6.5.6-2) unstable; urgency=medium

  * Include gtags.conf manpage in the package
  * Fix lintian warning with gtags manpage
  * Drop static plugin libraries from the package

 -- Punit Agrawal <punitagrawal@gmail.com>  Sat, 07 Jan 2017 14:22:40 +0000

global (6.5.6-1) unstable; urgency=medium

  * New upstream version 6.5.6
  * Drop patches merged upstream

 -- Punit Agrawal <punitagrawal@gmail.com>  Thu, 05 Jan 2017 22:44:38 +0000

global (6.5.5-2) unstable; urgency=medium

  * Apply hardening flags

 -- Wookey <wookey@debian.org>  Sun, 25 Dec 2016 17:32:37 +0000

global (6.5.5-1) unstable; urgency=medium

  [ Punit Agrawal ]
  * Refresh patches to git format
  * Drop htmake and htconfig
  * Package htags-server man page
  * Update postrm script to drop gsearch reference
  * Update lintian overrides
  * Package missing icons, javascript and images. Closes: #587489
  * Update package repository location
  * Un-orphan the package - Wookey has agreed to be the maintainer
  * Enable autoreconf - this allows the package to pick system
    libraries instead of using shipped versions.
  * Install upstream NEWS file
  * Update README.debian documentation
  * Add a NEWS file about upgrade to 6.5.5

  [ Wookey ]
  * Provide configure with ctags path
  * Fix README.debian typo

 -- Wookey <wookey@debian.org>  Tue, 13 Dec 2016 12:09:00 +0000

global (6.5.5-0.1) experimental; urgency=medium

  [ Punit Agrawal ]
  * Non-maintainer upload.
  * Switch to dpkg-source 3.0 (quilt) format
    Split diff into individual patches by functionality.
  * Add watch file
  * Migrate local changes to latest upstream version - 6.2.11
    Drop globash patch as it seems to be integrated with upstream
    Drop alternate compressed suffix functionality for htags
  * Update debian/rules in line with 6.2.11
  * Update debian/global.manpages for 6.2.11
  * Fix an error encountered while installing gtags.el
  * Add debian/emacsen-compat
  * Fix lintian warning debian-rules-ignores-make-clean
  * Fix lintian warning debian-rules-missing-recommended-target
  * Replace deprecated dh_clean -k with dh_prep in debian/rules

  [ Javi Merino ]
  * Build-depend on libncurses5-dev, as global requires curses

  [ Punit Agrawal ]
  * Fix lintian warning script-not-executable
  * New upstream release - 6.2.12
  * Add links to global and the package repository
  * Update debian/copyright
  * Fix cscope manpage error

  [ Volker Mische ]
  * Install plugins from plugin-factory
  * Update to upstream release - 6.3.2

  [ Wookey ]
  * Non-maintainer upload.
  * Update to upstream release - 6.5.5
  * Add missing emacsen-common build-dep 
  * Remove obsolete dpkg|install-info dependency
  * Bump standards to 3.9.6
  * Use system libltdl instead of embedded one
  * Ensure cgi scripts are regenerated to set perl path correctly
  * Recommend python for pygments support

 -- Wookey <wookey@debian.org>  Wed, 23 Nov 2016 17:51:44 +0000

global (5.7.1-4) unstable; urgency=medium

  * Orphan this package.  Being caught between an uncooperative upstream
    and ungrateful, abusive users, for a niche package with better modern
    alternatives just isn't my brand of fun.

 -- Ron Lee <ron@debian.org>  Sat, 10 Dec 2016 01:36:53 +1030

global (5.7.1-3) unstable; urgency=medium

  * Update for the new hoops that emacs needs us to jump through to ship
    the gtags.el file.  Thanks to Wookey for investigating that and
    providing pointers to what needed to change and why.  Closes: #844330
  * Typo fix in globash.1, thanks to Reuben Thomas for proof reading.
    Closes: #661550

 -- Ron Lee <ron@debian.org>  Wed, 16 Nov 2016 03:12:22 +1030

global (5.7.1-2) unstable; urgency=low

  * Fall back to localhost if `hostname --fqdn` fails.
    This shouldn't usually happen, but may in some corner cases,
    and the postinst shouldn't abort if it does.  Closes: #541322
  * Extra deps for the Lenny info trigger transition.

 -- Ron Lee <ron@debian.org>  Sun, 17 Oct 2010 11:42:50 +1030

global (5.7.1-1) unstable; urgency=low

  * New upstream release.  Closes: #491713
  * Install the new template files needed for dynamic page generation.
    Closes: #466673
  * Tidy punctuation in the description.  Closes: #444834

 -- Ron Lee <ron@debian.org>  Thu, 24 Jul 2008 20:19:41 +0930

global (5.6.1-1) unstable; urgency=low

  * New upstream release.  Closes: #378514, #387592, #430604
  * Add the prefix GNU in the package description.  It was actually BSD global
    when that description was first written, but if it makes it just a little
    less ambiguous to search for, then why not.  Closes: #385303

 -- Ron Lee <ron@debian.org>  Fri, 21 Sep 2007 08:58:45 +0930

global (4.8.6-2) unstable; urgency=low

  * Don't touch config.status unconditionally, some of the buildd's
    seem to choke on that.

 -- Ron Lee <ron@debian.org>  Sat,  6 Aug 2005 05:38:39 +0930

global (4.8.6-1) unstable; urgency=low

  * New upstream release.  Closes: #262250, #318848
  * Update to policy 2.6.2.1 and DH_COMPAT 4.
  * global.info is now monolithic, drop the * again.
  * gctags is dead, replaced by gtags-parser, and htags has been
    reimplemented in C.  Performance gains are alleged.
    Tentatively Closes: #159901, get back to me if pain persists.
  * Suggest doxygen (>=1.4.3) as it can now use global as its
    source browser.
  * Include vim plugin and other goodies with examples.
  * Don't build 'gnusort', use the system one.
  * Add zero space breaks '\:' to long lines in the man pages.
  * Fixes problem with --style-sheet option.  The original
    reporter's example will not actually work as he might have
    anticipated, but this clearly still Closes: #182187
    which I could reproduce in 4.5-1.
  * Install globash.rc in /etc with a couple of minor tweaks,


=== debian/control ===
Source: global
Section: devel
Priority: optional
Build-Depends: debhelper (>=9), autotools-dev,
 texinfo,
 libncurses5-dev, libltdl-dev,
 emacsen-common, flex, bison, gperf,
 libtool-bin
Maintainer: Wookey <wookey@debian.org>
Uploaders: Punit Agrawal <punitagrawal@gmail.com>
Homepage: http://www.gnu.org/software/global/global.html
Vcs-Git: https://github.com/punitagrawal/global.git
Vcs-Browser: https://github.com/punitagrawal/global
Standards-Version: 3.9.8.0

Package: global
Architecture: any
Depends: ${shlibs:Depends}, emacsen-common, ${misc:Depends}
Recommends: python
Suggests: lynx | www-browser, doxygen (>=1.4.3), apache | httpd, id-utils, exuberant-ctags, python-pygments
Description: Source code search and browse tools
 GNU GLOBAL is a source code tag system that works the same way across
 diverse environments. Currently, it supports the following:
 .
   o command line, and the 'globash' query subshell.
   o vim plugin, and support for other vi clones.
   o less
   o emacs
   o web browser
 .
 Supported languages are C, C++, yacc and Java.
 You can locate a specified function in the source files and move
 there easily. It is especially useful for hacking large projects
 containing many subdirectories, many '#ifdef' and many main()
 functions, like X or kernel source.
 .
 Doxygen now supports using global as its source browser, with the
 USE_HTAGS option.

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/global/ \
(?:.*[/=]|)global(?:[_\-]?|[_\-]v)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:[^\.].*)?

## global 6.5.7

=== debian/changelog ===
global (6.5.7-4) unstable; urgency=medium

  * Update package standards version to 4.1.1
  * Update emacsen-startup (Closes: #306085)
  * Install global vim plugins

 -- Punit Agrawal <punit@debian.org>  Sun, 08 Oct 2017 07:59:38 +0100

global (6.5.7-3) unstable; urgency=medium

  * Correct distribution in changelog. No other functional change

 -- Punit Agrawal <punit@debian.org>  Tue, 26 Sep 2017 07:17:32 +0100

global (6.5.7-2) unstable; urgency=medium

  * Update debhelper compat version to 10
  * Update to standards version 4.0.0
  * gozilla: Make input error handling more robust (Closes: #715980)
  * Correct typos in libparser
  * Include additional configuration examples
  * Update package maintainer
  * Simplify the packaging scripts

 -- Punit Agrawal <punit@debian.org>  Sat, 23 Sep 2017 13:54:37 +0100

global (6.5.7-1) unstable; urgency=medium

  * New upstream version 6.5.7

 -- Punit Agrawal <punitagrawal@gmail.com>  Sat, 24 Jun 2017 18:30:25 +0100

global (6.5.6-3) experimental; urgency=medium

  * Don't load init and site file while installing gtags.el. Closes: #218111
  * Drop the usage of PATH_MAX from libutil/find.c to enable building on Hurd.
    Closes: #848302

 -- Punit Agrawal <punitagrawal@gmail.com>  Sun, 12 Feb 2017 23:36:54 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf sh reconf.sh

override_dh_auto_configure:
	dh_auto_configure -- --with-exuberant-ctags=/usr/bin/ctags --disable-static \
		--datadir=/usr/share/$(DEB_SOURCE)

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/gtags/gtags.el \
		$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/emacs/site-lisp/$(DEB_SOURCE)

	rm debian/$(DEB_SOURCE)/usr/lib/$(DEB_HOST_MULTIARCH)/gtags/*.la
	for x in AUTHORS BUILD_TOOLS ChangeLog COPYING COPYING.LIB DONORS		\
		 elvis-2.2_0.patch elvis.rc FAQ geco.rc globash.rc gtags.conf		\
		 gtags-cscope.vim gtags.pl gtags.vim INSTALL LICENSE NEWS		\
		 PLUGIN_HOWTO* README* SERVERSIDE_HOWTO THANKS				\
		 vim74-gtags-cscope.patch; do						\
		rm -f debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/gtags/$$x;		\
	done
	rm -fr debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/gtags/script
	rm -fr debian/$(DEB_SOURCE)/var

## global 6.6.1

=== debian/changelog ===
global (6.6.1-1) unstable; urgency=medium

  * Enable verifying upstream packages
  * New upstream version 6.6.1 (Closes: #884912)
  * Fixes CVE-2017-17531
  * Install scripts missing for pygments-parser (Closes: #885424)

 -- Punit Agrawal <punit@debian.org>  Mon, 01 Jan 2018 16:37:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: global
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=9), autotools-dev,
+Build-Depends: debhelper (>=10),
  texinfo,
  libncurses5-dev, libltdl-dev,
  emacsen-common, flex, bison, gperf,
  libtool-bin
-Maintainer: Wookey <wookey@debian.org>
-Uploaders: Punit Agrawal <punitagrawal@gmail.com>
+Maintainer: Punit Agrawal <punit@debian.org>
 Homepage: http://www.gnu.org/software/global/global.html
 Vcs-Git: https://github.com/punitagrawal/global.git
 Vcs-Browser: https://github.com/punitagrawal/global
-Standards-Version: 3.9.8.0
+Standards-Version: 4.1.1
 
 Package: global
 Architecture: any

## global 6.6.2

=== debian/changelog ===
global (6.6.2-1) unstable; urgency=medium

  * New upstream version 6.6.2
  * Force update libltdl during autoreconf
  * Update standards version to 4.1.3

 -- Punit Agrawal <punit@debian.org>  Sun, 25 Feb 2018 07:36:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Homepage: http://www.gnu.org/software/global/global.html
 Vcs-Git: https://github.com/punitagrawal/global.git
 Vcs-Browser: https://github.com/punitagrawal/global
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 
 Package: global
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,12 @@
 	dh_autoreconf sh reconf.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-exuberant-ctags=/usr/bin/ctags --disable-static \
+	dh_auto_configure -- --with-exuberant-ctags=/usr/bin/ctags --disable-static 	\
 		--datadir=/usr/share/$(DEB_SOURCE)
 
 override_dh_auto_install:
 	dh_auto_install
-	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/gtags/gtags.el \
+	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/gtags/gtags.el 	\
 		$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/emacs/site-lisp/$(DEB_SOURCE)
 
 	rm debian/$(DEB_SOURCE)/usr/lib/$(DEB_HOST_MULTIARCH)/gtags/*.la
@@ -31,5 +31,10 @@
 		 vim74-gtags-cscope.patch; do						\
 		rm -f debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/gtags/$$x;		\
 	done
-	rm -fr debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/gtags/script
+
+	for x in elvis-global global-client gtags-client htags-client less-global	\
+		maps2conf.pl;								\
+	do										\
+		rm -f debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/gtags/script/$$x;	\
+	done
 	rm -fr debian/$(DEB_SOURCE)/var

## global 6.6.3

=== debian/changelog ===
global (6.6.3-2) unstable; urgency=medium

  * Update standards version to 4.3.0

 -- Punit Agrawal <punit@debian.org>  Tue, 01 Jan 2019 13:16:22 +0900

global (6.6.3-1) unstable; urgency=medium

  * New upstream version 6.6.3
  * Drop changes to reconf.sh

 -- Punit Agrawal <punit@debian.org>  Thu, 27 Dec 2018 11:42:54 +0900

global (6.6.2-3) unstable; urgency=medium

  [ Daniel Gröber ]
  * Don't remove *.el files from site-lisp dir (Closes: #902877)

  [ Punit Agrawal ]
  * Update homepage link to use https
  * Update standards version to 4.1.4

 -- Punit Agrawal <punit@debian.org>  Tue, 03 Jul 2018 23:13:54 +0100

global (6.6.2-2) unstable; urgency=medium

  * Install globash.rc (Closes: #894424)
  * Drop webservers from suggested packages

 -- Punit Agrawal <punit@debian.org>  Sun, 08 Apr 2018 14:47:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
  emacsen-common, flex, bison, gperf,
  libtool-bin
 Maintainer: Punit Agrawal <punit@debian.org>
-Homepage: http://www.gnu.org/software/global/global.html
+Homepage: https://www.gnu.org/software/global/global.html
 Vcs-Git: https://github.com/punitagrawal/global.git
 Vcs-Browser: https://github.com/punitagrawal/global
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 
 Package: global
 Architecture: any
 Depends: ${shlibs:Depends}, emacsen-common, ${misc:Depends}
 Recommends: python
-Suggests: lynx | www-browser, doxygen (>=1.4.3), apache | httpd, id-utils, exuberant-ctags, python-pygments
+Suggests: lynx | www-browser, doxygen (>=1.4.3), id-utils, exuberant-ctags, python-pygments
 Description: Source code search and browse tools
  GNU GLOBAL is a source code tag system that works the same way across
  diverse environments. Currently, it supports the following:

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 	rm debian/$(DEB_SOURCE)/usr/lib/$(DEB_HOST_MULTIARCH)/gtags/*.la
 	for x in AUTHORS BUILD_TOOLS ChangeLog COPYING COPYING.LIB DONORS		\
-		 elvis-2.2_0.patch elvis.rc FAQ geco.rc globash.rc gtags.conf		\
+		 elvis-2.2_0.patch elvis.rc FAQ geco.rc gtags.conf			\
 		 gtags-cscope.vim gtags.pl gtags.vim INSTALL LICENSE NEWS		\
 		 PLUGIN_HOWTO* README* SERVERSIDE_HOWTO THANKS				\
 		 vim74-gtags-cscope.patch; do						\

## global 6.6.4

=== debian/changelog ===
global (6.6.4-1) unstable; urgency=medium

  * New upstream version 6.6.4
  * Update patches to new upstream version
  * Update Standards-Version to 4.5.0
  * Update global to use python3 (Closes: #945647)

 -- Punit Agrawal <punit@debian.org>  Sun, 16 Feb 2020 19:43:35 +0900

global (6.6.3-3) unstable; urgency=medium

  * Drop embedded sqlite3
  * Enable support for using sqlite3 as backend (Closes: #939590)
  * Update standards version to 4.4.1

 -- Punit Agrawal <punit@debian.org>  Sat, 05 Oct 2019 10:15:57 +0900

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Build-Depends: debhelper (>=10),
  texinfo,
- libncurses5-dev, libltdl-dev,
+ libncurses5-dev, libltdl-dev, libsqlite3-dev,
  emacsen-common, flex, bison, gperf,
  libtool-bin
 Maintainer: Punit Agrawal <punit@debian.org>
 Homepage: https://www.gnu.org/software/global/global.html
 Vcs-Git: https://github.com/punitagrawal/global.git
 Vcs-Browser: https://github.com/punitagrawal/global
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 
 Package: global
 Architecture: any
 Depends: ${shlibs:Depends}, emacsen-common, ${misc:Depends}
-Recommends: python
-Suggests: lynx | www-browser, doxygen (>=1.4.3), id-utils, exuberant-ctags, python-pygments
+Recommends: python3
+Suggests: lynx | www-browser, doxygen (>=1.4.3), id-utils, exuberant-ctags, python3-pygments
 Description: Source code search and browse tools
  GNU GLOBAL is a source code tag system that works the same way across
  diverse environments. Currently, it supports the following:

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-exuberant-ctags=/usr/bin/ctags --disable-static 	\
-		--datadir=/usr/share/$(DEB_SOURCE)
+		--datadir=/usr/share/$(DEB_SOURCE) --with-sqlite3
 
 override_dh_auto_install:
 	dh_auto_install

## global 6.6.5

=== debian/changelog ===
global (6.6.5-1) unstable; urgency=medium

  * New upstream version 6.6.5
  * debian: Update patches for new upstream release 6.6.5
  * debian: Update upstream signing key

 -- Punit Agrawal <punit@debian.org>  Mon, 26 Oct 2020 23:09:11 +0900

global (6.6.4-4) unstable; urgency=medium

  [ Debian Janitor ]
  * debian: Trim trailing whitespace.
  * debian: Bump debhelper from old 10 to 12.
  * debian: Set debhelper-compat version in Build-Depends.

  [ Hong Xu ]
  * debian/rules: Enable universal ctags

 -- Punit Agrawal <punit@debian.org>  Sun, 26 Jul 2020 09:46:01 +0900

global (6.6.4-3) unstable; urgency=medium

  * debian/patches: Fix compilation issue with GCC 10

 -- Punit Agrawal <punit@debian.org>  Tue, 05 May 2020 11:04:01 +0900

global (6.6.4-2) unstable; urgency=medium

  * debian: Install config file in /etc/gtags

 -- Punit Agrawal <punit@debian.org>  Sun, 26 Apr 2020 08:16:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: global
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper-compat (= 12),
  texinfo,
  libncurses5-dev, libltdl-dev, libsqlite3-dev,
  emacsen-common, flex, bison, gperf,
@@ -35,4 +35,3 @@
  .
  Doxygen now supports using global as its source browser, with the
  USE_HTAGS option.
-

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 	dh_autoreconf sh reconf.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-exuberant-ctags=/usr/bin/ctags --disable-static 	\
+	dh_auto_configure -- --with-exuberant-ctags=/usr/bin/ctags-exuberant 	\
+		--with-universal-ctags=/usr/bin/ctags-universal 		\
+		--disable-static 						\
 		--datadir=/usr/share/$(DEB_SOURCE) --with-sqlite3
 
 override_dh_auto_install:

## global 6.6.7

=== debian/changelog ===
global (6.6.7-1) unstable; urgency=medium

  * New upstream version 6.6.7
  * debian: Update patches for new upstream release 6.6.7
  * Add python3-minimal as a build dependency

 -- Punit Agrawal <punit@debian.org>  Thu, 26 Aug 2021 21:46:06 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  texinfo,
  libncurses5-dev, libltdl-dev, libsqlite3-dev,
  emacsen-common, flex, bison, gperf,
- libtool-bin
+ libtool-bin, python3-minimal
 Maintainer: Punit Agrawal <punit@debian.org>
 Homepage: https://www.gnu.org/software/global/global.html
 Vcs-Git: https://github.com/punitagrawal/global.git

## global 6.6.8

=== debian/changelog ===
global (6.6.8-1) unstable; urgency=medium

  * New upstream version 6.6.8
  * Drop patch to remove vendored sqlite3
  * Enable detection of distro sqlite3

 -- Punit Agrawal <punit@debian.org>  Sun, 22 May 2022 22:55:47 +0100

## global 6.6.9

=== debian/changelog ===
global (6.6.9-1) unstable; urgency=medium

  * New upstream version 6.6.9
  * debian: Standards-Version to 4.6.1
  * debian: Upgrade dependency package name
  * debian: Update lintian overrides

 -- Punit Agrawal <punit@debian.org>  Fri, 03 Feb 2023 17:21:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
  texinfo,
- libncurses5-dev, libltdl-dev, libsqlite3-dev,
+ libncurses-dev, libltdl-dev, libsqlite3-dev,
  emacsen-common, flex, bison, gperf,
  libtool-bin, python3-minimal
 Maintainer: Punit Agrawal <punit@debian.org>
 Homepage: https://www.gnu.org/software/global/global.html
 Vcs-Git: https://github.com/punitagrawal/global.git
 Vcs-Browser: https://github.com/punitagrawal/global
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 
 Package: global
 Architecture: any

## global 6.6.11

=== debian/changelog ===
global (6.6.11-1) unstable; urgency=medium

  * New upstream version 6.6.11

 -- Punit Agrawal <punit@debian.org>  Sat, 10 Feb 2024 11:11:46 +0000

## global 6.6.12

=== debian/changelog ===
global (6.6.12-1) unstable; urgency=medium

  * New upstream version 6.6.12
  * debian: Update Standards-Version to 4.6.2

 -- Punit Agrawal <punit@debian.org>  Sat, 30 Mar 2024 06:51:14 +0000

## global 6.6.13

=== debian/changelog ===
global (6.6.13-1) unstable; urgency=medium

  * New upstream version 6.6.13
  * Fixes CVE-2024-38448 (Closes: #1074535)

 -- Punit Agrawal <punit@debian.org>  Sat, 27 Jul 2024 06:32:54 +0100

## global 6.6.14

=== debian/changelog ===
global (6.6.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096722)

 -- Adrian Bunk <bunk@debian.org>  Thu, 02 Oct 2025 12:03:38 +0300

global (6.6.14-1) unstable; urgency=medium

  * New upstream version 6.6.14
  * Re-sync patches for new upstream version

 -- Punit Agrawal <punit@debian.org>  Mon, 18 Aug 2025 21:50:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Homepage: https://www.gnu.org/software/global/global.html
 Vcs-Git: https://github.com/punitagrawal/global.git
 Vcs-Browser: https://github.com/punitagrawal/global
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 
 Package: global
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
+
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=pgpmode=auto https://ftp.gnu.org/gnu/global/ \
(?:.*[/=]|)global(?:[_\-]?|[_\-]v)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:[^\.].*)?

## global logger-0.3.15

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = global_logger
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
